//
//  AliyunPipClipController.h
//  AliyunVideoSDKPro
//
//  Created by coder.pi on 2021/8/10.
//  Copyright © 2021 aliyun. All rights reserved.
//

#import "AliyunRenderBaseController.h"
#import "AliyunPipClip.h"
#import "AliyunFrameAnimationProtocol.h"

/** \addtogroup ugc_pip
 *  @{
 */

@class AliyunPipTrackController;
/**
 API_AVAILABLE(3.25.0)
 画中画片段控制器
 */
@interface AliyunPipClipController : AliyunRenderBaseController<AliyunFrameAnimationProtocol>
/**
 API_AVAILABLE(3.25.0)
 画中画轨道索引
 */
@property (nonatomic, assign, readonly) int trackIndex;
/**
 API_AVAILABLE(3.25.0)
 画中画轨道
 */
@property (nonatomic, weak, readonly) AliyunPipTrackController *track;

/**
 API_AVAILABLE(3.25.0)
 片段对象
 */
@property (nonatomic, readonly) AliyunPipClip *clip;
@end

/** @}*/
